Name: sugar-plugin-sn
Version: 0.9
Epoch: 1
Release: 15.1
Group: Development/Tools/Other
Summary: Plugin for Sugar Shell to add Sugar Network UI
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Sugar_Network

Source: sugar-plugin-sn-0.9.tar.gz
Source1: sweet.tar.gz



Requires: hulahop
Requires: sugar-network

BuildRequires: python

Provides: sugar-network-plugin
Obsoletes: sugar-network-plugin

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Plugin for Sugar Shell to add Sugar Network UI

%prep
%setup -n sugar-plugin-sn-0.9

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/share && cp -r share/* %{buildroot}/.dest//opt/sweets/sugar/share/ && install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins && cp -r plugin %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/sn && for i in `ls po/*.po`; do d=%{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/sn/locale/`basename $i .po`/LC_MESSAGES && mkdir -p $d && msgfmt -o $d/sugar-plugin-sn.mo $i; done && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-plugin-sn.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-plugin-sn
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-plugin-sn/pydirs)
echo /opt/sweets/sugar-plugin-sn/pydirs >> sugar-plugin-sn.files

%post
test -e /opt/sweets/sugar-plugin-sn/pydirs && for i in `cat /opt/sweets/sugar-plugin-sn/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-plugin-sn/pydirs && for i in `cat /opt/sweets/sugar-plugin-sn/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-plugin-sn.files

%changelog
